Page MenuHomePhabricator

Create backup/restore scripts for etcd
Closed, ResolvedPublic

Description

We should both backup etcd data stores to bacula and prepare a script / procedure people can use to easily restore the old state in case of emergency.

Details

Related Gerrit Patches:

Event Timeline

Joe created this task.May 12 2016, 1:21 PM
Joe claimed this task.Jun 17 2016, 8:23 AM

Change 294916 had a related patch set uploaded (by Giuseppe Lavagetto):
etcd: perform backups to /srv/backups/etcd, bacula

https://gerrit.wikimedia.org/r/294916

Change 294916 merged by Giuseppe Lavagetto:
etcd: perform backups to /srv/backups/etcd, bacula

https://gerrit.wikimedia.org/r/294916

Joe added a comment.Aug 19 2016, 4:13 PM

I have created an "etcd recovery script generator", that can be run and it proved to work with the labs cluster. It can be found at P3855

It can be used to generate disaster recovery instruction by indicating the cluster to recover and the host where a valid backup is thought to be.

It will take the user through all the stages of having a running cluster.

Joe added a comment.Aug 19 2016, 4:13 PM

As soon as I've updated the etcd docs, I'll close this ticket.

Joe closed this task as Resolved.Aug 22 2016, 7:32 AM